package cn.dankal.test.user.controller;

import cn.dankal.test.client.order.OrderServiceClient;
import cn.dankal.test.common.domain.Person;
import cn.dankal.test.common.service.aspect.DoRequestLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * {@link RestController}
 * UserController
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/18
 */
@Slf4j
@RestController
@RequestMapping("/user")
public class UserController {

    /**
     * orderServiceClient
     */
    private final OrderServiceClient orderServiceClient;

    public UserController(OrderServiceClient orderServiceClient) {
        this.orderServiceClient = orderServiceClient;
    }

    @DoRequestLog
    @GetMapping("/{userId}")
    public Person getUserById(@PathVariable("userId") Long userId) {
        log.info("user service 01 get user: {}", userId);
        String orderId = orderServiceClient.getOrderId(userId);
        return new Person()
                .setId(userId)
                .setName("ZGH.MercyModest")
                .setOther("user-service-01 --> " + orderId);
    }
}
