package cn.dankal.test.client.order;

import cn.dankal.test.client.order.fallback.OrderServiceClientFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * TODO
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/18
 */
@FeignClient(value = "order-service", fallback = OrderServiceClientFallback.class)
public interface OrderServiceClient {

    /**
     * 通过 userId 获取订单号
     *
     * @param userId userId
     * @return the test orderId
     */
    @GetMapping("/order/{userId}")
    String getOrderId(@PathVariable("userId") Long userId);
}
